<?php

$tds1='<td class="listViewThS1">';

$trs='<tr>';
$tre='</tr>';

$tds='<td class="oddListRowS1">';
$tde='</td>';

$tbs='<table cellpadding="0" cellspacing="0" border="0" class="ListView" style="width:100%;">';
$tbe='</table>';

$t.=$tbs;
$t.=$trs;
	$t.=$tds1;
		$t.="Product";
	$t.=$tde;
	$t.=$tds1;
		$t.="Index";
	$t.=$tde;
	$t.=$tds1;
		$t.="Time";
	$t.=$tde;
	$t.=$tds1;
		$t.="Log";
	$t.=$tde;
	$t.=$tds1;
		$t.="Send";
	$t.=$tde;
$t.=$tre;

$z="select * from ecmproducts_log where sent is null order by date_entered desc limit 100";
$w=$GLOBALS['db']->query($z);
while($r=$GLOBALS['db']->fetchByAssoc($w)){
	$rr=$GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("select name,code from ecmproducts where id='".$r['ecmproduct_id']."'"));
	if($r['type']=="images")$type="Please upload images";
	elseif($r['type']=="images_and_description")$type="Please fill localized informations and upload images";
	elseif($r['type']=="description")$type="Please fill localized informations";
	else $type="All required informations added";
	
	if($r['type']=="ok")$link='<a href="index.php?module=EcmProductB2Bs&action=SendXML&record='.$r['ecmproduct_id'].'">Send XML</a>';
	else $link='';
	$t.=$trs;
		$t.=$tds;
			$t.='<a href="index.php?module=EcmProductB2Bs&action=DetailView&record='.$r['ecmproduct_id'].'">'.$rr['name'].'</a>';
		$t.=$tde;
		$t.=$tds;
			$t.=$rr['code'];
		$t.=$tde;
		$t.=$tds;
			$t.=$r['date_entered'];
		$t.=$tde;
		$t.=$tds;
			$t.=$type;
		$t.=$tde;
		$t.=$tds;
			$t.=$link;
		$t.=$tde;
		
		
	$t.=$tre;
	$i++;
}

$t.=$tbe;
echo $t;
?>